gtk.Item
Prev | The gtk Class Reference | Next

## gtk.Item

gtk.Item — abstract base class for `gtk.MenuItem`

## Synopsis

    class gtk.Item(gtk.Bin):
        def select()
        def deselect()
        def toggle()

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.Container
            +-- gtk.Bin
              +-- gtk.Item

## Implemented Interfaces

`gtk.Item` implements `gtk.Buildable`

## gtk.Item Properties

gtk.Object Properties

gtk.Widget Properties

gtk.Container Properties

## gtk.Item Style Properties

gtk.Widget Style Properties

## gtk.Item Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

gtk.Container Signal Prototypes

"deselect" | `def callback(`item`, `user_param1`, `...`)`
"select" | `def callback(`item`, `user_param1`, `...`)`
"toggle" | `def callback(`item`, `user_param1`, `...`)`

## Description

The `gtk.Item` widget is an abstract base class for `gtk.MenuItem`.

## Methods

### gtk.Item.select

        def select()

The `select`() method emits the "select" signal on the item.

### gtk.Item.deselect

        def deselect()

The `deselect`() method emits the "deselect" signal on the item.

### gtk.Item.toggle

        def toggle()

The `toggle`() method emits the "toggle" signal on the item.

## Signals

### The "deselect" gtk.Item Signal

        def callback(item, user_param1, ...)

`item` : | the item that received the signal
`user_param1` : | the first user parameter (if any) specified with the `connect`() method
`...` : | additional user parameters (if any)

The "deselect" signal is emitted when the item is deselected.

### The "select" gtk.Item Signal

        def callback(item, user_param1, ...)

`item` : | the item that received the signal
`user_param1` : | the first user parameter (if any) specified with the `connect`() method
`...` : | additional user parameters (if any)

The "select" signal is emitted when the item is selected.

### The "toggle" gtk.Item Signal

        def callback(item, user_param1, ...)

`item` : | the item that received the signal
`user_param1` : | the first user parameter (if any) specified with the `connect`() method
`...` : | additional user parameters (if any)

The "toggle" signal is emitted when the item is toggled.

Prev | Up | Next
gtk.Invisible | Home | gtk.ItemFactory